## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanNamespacesStack::PrefixResolverProxy Class Reference

Inheritance diagram for XalanNamespacesStack::PrefixResolverProxy:

[legend]
Collaboration diagram for XalanNamespacesStack::PrefixResolverProxy:

[legend]
List of all members.

## Public Member Functions

- PrefixResolverProxy (const XalanNamespacesStack &theStack, const XalanDOMString &theURI)
    Construct a PrefixResolver from a XalanNamespaceStack instance.
- virtual ~PrefixResolverProxy ()
- virtual const XalanDOMString * getNamespaceForPrefix (const XalanDOMString &prefix) const
    Retrieve a namespace corresponding to a prefix.
- virtual const XalanDOMString & getURI () const
    Retrieve the base URI for the resolver.

## Constructor & Destructor Documentation

XalanNamespacesStack::PrefixResolverProxy::PrefixResolverProxy | ( | const XalanNamespacesStack & | theStack,
|  | const XalanDOMString & | theURI
| ) |

  | Construct a PrefixResolver from a XalanNamespaceStack instance. Parameters:
  theStack | The stack to use for prefix resolution
  theURI | The namespace URI of the resolver, if any. Only a reference is kept, so this cannot be a temporary
Returns: pointer to the string value if found, otherwise 0.

virtual XalanNamespacesStack::PrefixResolverProxy::~PrefixResolverProxy | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMString* XalanNamespacesStack::PrefixResolverProxy::getNamespaceForPrefix | ( | const XalanDOMString & | prefix | ) | const`[virtual]`

  | Retrieve a namespace corresponding to a prefix. This assumes that the PrevixResolver holds its own namespace context, or is a namespace context itself. Parameters:
  prefix | Prefix to resolve
Returns: namespace that prefix resolves to, or null if prefix is not found Implements PrefixResolver.

virtual const XalanDOMString& XalanNamespacesStack::PrefixResolverProxy::getURI | ( |  | ) | const`[virtual]`

| Retrieve the base URI for the resolver. Returns: URI string Implements PrefixResolver.

The documentation for this class was generated from the following file:

- XalanNamespacesStack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.